Kerbal Space Program - Bug #1204

It's possible to delete stock ships from the Launch Pad and Runway
08/13/2013 04:48 PM - JackTheVendicator

Status: Closed Start date: 08/13/2013
Severity: Low % Done: 100%
Assignee:

Category: Controls and Ul

Target version:

Version: 0.21.1 Language: English (US)
Platform: Linux, OSX, Windows Mod Related: No
Expansion:

Description

I noticed you can delete preinstalled stock ships from the Launch Pad or the Runway interface, action that is correctly prohibited on
the VAB or the SPH.

To reproduce:

1. start KSP and load/create a savefile

2. open Launch Pad or Runway

3. select one of stock ships

4. delete it and verify that the .craft is gone from the Ships directory.

History

#1 - 08/13/2013 10:17 PM - Cesrate

Yeah, It's possible.

#2 - 07/17/2016 09:24 AM - TriggerAu

- Status changed from New to Needs Clarification

#3 - 07/17/2016 10:18 PM - Claw

- Status changed from Needs Clarification to Closed
- % Done changed from 0 to 100

- Platform Linux, OSX, Windows added

- Platform deleted (Any)

Fixed. 1.1.3
